| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
FileSetDialog Class Reference

A dialog for managing and displaying capture file sets. More...

`#include <file_set_dialog.h>`

Inheritance diagram for FileSetDialog:

## Signals
void | fileSetOpenCaptureFile (QString filePath)
| Signal emitted to open a specific capture file from the set.

## Public Member Functions
| FileSetDialog (QWidget *parent=0)
| Constructs a new FileSetDialog.
| ~FileSetDialog ()
| Destroys the FileSetDialog.
void | fileOpened (const capture_file *cf)
| Handles the event when a capture file in the set is opened.
void | fileClosed ()
| Handles the event when the capture file is closed.
void | addFile (fileset_entry *entry=NULL)
| Adds a file entry to the file set dialog.
void | beginAddFile ()
| Prepares the dialog to begin adding a new file.
void | endAddFile ()
| Finalizes the process of adding a new file to the dialog.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

A dialog for managing and displaying capture file sets.

## Constructor & Destructor Documentation

## ◆ FileSetDialog()

FileSetDialog::FileSetDialog | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new FileSetDialog.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ addFile()

void FileSetDialog::addFile | ( | fileset_entry * | entry = NULL | ) |

Adds a file entry to the file set dialog.

Parameters

  entry | Pointer to the file set entry to add, defaults to NULL.

## ◆ fileOpened()

void FileSetDialog::fileOpened | ( | const capture_file * | cf | ) |

Handles the event when a capture file in the set is opened.

Parameters

  cf | Pointer to the opened capture file.

## ◆ fileSetOpenCaptureFile

void FileSetDialog::fileSetOpenCaptureFile | ( | QString | filePath | ) |
| signal

Signal emitted to open a specific capture file from the set.

Parameters

  filePath | The path of the capture file to open.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/file_set_dialog.h
- /builds/wireshark/wireshark/ui/qt/file_set_dialog.cpp